| Home | Libraries | People | FAQ | More

# services Namespace Reference

## Classes

class | basic_logger
| Class to provide simple logging functionality. Use the services::logger typedef. More...
class | logger_service
| Service implementation for the logger. More...
class | stream_socket_service
| Debugging stream socket service that wraps the normal stream socket service. More...

## Typedefs

typedef basic_logger< logger_service > | logger
| Typedef for typical logger usage.

## Typedef Documentation

typedef basic_logger<logger_service> services::logger

Typedef for typical logger usage.

Definition at line 10 of file logger.hpp.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff